Subject: bug#16522: closed (Re: bug#16522: 24.3.50; Regression: GLib-GObject warnings on stderr)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 19 Oct 2014 17:29:03 +0000

Your bug report

#16522: 24.3.50; Regression: GLib-GObject warnings on stderr

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
16522: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16522
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#16522: 24.3.50; Regression: GLib-GObject warnings on stderr
From: Jan Djärv <[email-masked]>
To: Glenn Morris <[email-masked]>, [email-masked], Daniel Colascione <[email-masked]>
Cc: Paul Eggert <[email-masked]>
Date: Sun, 19 Oct 2014 19:28:51 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi.

Den 2014-10-11 20:16, Glenn Morris skrev:
> Paul Eggert wrote:
>
>> GtkMenuItem's "label" property was introduced in GTK+ 2.16, according
>> to <https://bugreports.qt-project.org/browse/QTBUG-8537>. You're using
>> GTK+ 2.10.4, which could explain the problem. I'm using Firefox 20
>> which has GTK+ 3.10.6 and do not see the problem.
>>
>> I suspect that the attached patch (which is trunk bzr 115967.1.1) is
>> what introduced the problem. If you back this change out, does it fix
>> things? I'll CC: this to Daniel Colascione to give him a heads-up.
>
> Any comment on this issue?
>

I added the obvious gtk version check.

	Jan D.

Subject: 24.3.50; Regression: GLib-GObject warnings on stderr
From: Barry OReilly <[email-masked]>
To: [email-masked]
Date: Wed, 22 Jan 2014 10:50:46 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

When I start emacs, I get errors like:

(emacs:13939): GLib-GObject-WARNING **: IA__g_object_notify: object class
`GtkMenuItem' has no property named `label'

They appear periodically as I do various things in Emacs. The first
one appears before doing anything at all. I do not witness these
warnings using Emacs 24.3.

This is with recent trunk revision a693e5b566a7a88fecbb95b1f64426c9f52b3198.

In GNU Emacs 24.3.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.10.4)
 of 2014-01-21 on redacted
Repository revision:
Windowing system distributor `The X.Org Foundation', version 11.0.70101000
System Description:    Red Hat Enterprise Linux Client release 5.4 (Tikanga)

Configured using:
 `configure --prefix
 /redacted/user/boreilly/sw/emacs-install-redacted
 --with-gif=no'

Important settings:
  value of $LANG: en_US
  value of $XMODIFIERS: @im=none
  locale-coding-system: iso-latin-1-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x r e p o r t - <tab> <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util help-fns mail-prsvr mail-utils time-date tooltip electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list newcomment lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
dbusbind dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty emacs)